<?xml version="1.0" encoding="UTF-8"?><MEMPL_VACATION desc_thai="ทะเบียนประวัติพนักงานส่วนของวันลาพักร้อน" desc_eng="Employee Vacation Detail" editcheck="true" mainhelp="MEMPL_VACATIONHELP" referhelp="MEMPL_VACATIONHELP" mainkey="EMPLOYEEID" fieldsystem="*" protype="table" deleteflag="true">
	<FIELD>
		<EMPLOYEEID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>15</WIDTH>
			<RELATION>MEMPLOYEE</RELATION>
			<DESC_ENG>Employee ID</DESC_ENG>
			<DESC_THAI>รหัสพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_THAI>รหัสพนักงาน</ALT_THAI>
				<ALT_ENG>Employee ID</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</EMPLOYEEID>
		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>		
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<ALT_ENG>Company ID</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</COMPANYID>
		<YEARID lang="A" encrypt="false" log="false" type="Integer">
			<KEY>3</KEY>
			<WIDTH>4</WIDTH>
			<DESC_ENG>Year</DESC_ENG>
			<DESC_THAI>ปี</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>4</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>ปี</ALT_THAI>
				<ALT_ENG>Year</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</YEARID>
		<LAST_V0 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Vacation0 Last Year [DD:HH:MM]</DESC_ENG>
			<DESC_THAI>จำนวนวันลาพักผ่อนยกมาปีที่แล้ว [วัน:ชม:นาที]</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<ALT_THAI>จำนวนวันลาพักผ่อนยกมาปีที่แล้ว [วัน:ชม:นาที]</ALT_THAI>
				<ALT_ENG>Vacation0 Last Year [DD:HH:MM]</ALT_ENG>
			</COMPONENT>
			<DEFAULTVALUE>00:00:00</DEFAULTVALUE>
		</LAST_V0>
		<LAST_V1 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Vacation1 Last Year [DD:HH:MM]</DESC_ENG>
			<DESC_THAI>จำนวนวันลาพักผ่อนปีที่แล้ว [วัน:ชม:นาที]</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<ALT_THAI>จำนวนวันลาพักผ่อนปีที่แล้ว [วัน:ชม:นาที]</ALT_THAI>
				<ALT_ENG>Vacation1 Last Year [DD:HH:MM]</ALT_ENG>
			</COMPONENT>
			<DEFAULTVALUE>00:00:00</DEFAULTVALUE>
		</LAST_V1>
		<LAST_TOTAL lang="A" encrypt="false" log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Vacation Total Last Year [DD:HH:MM]</DESC_ENG>
			<DESC_THAI>จำนวนวันลาพักผ่อนปีที่แล้ว [วัน:ชม:นาที]</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<ALT_THAI>จำนวนวันลาพักผ่อนปีที่แล้ว [วัน:ชม:นาที]</ALT_THAI>
				<ALT_ENG>Vacation Total Last Year [DD:HH:MM]</ALT_ENG>
			</COMPONENT>
			<DEFAULTVALUE>00:00:00</DEFAULTVALUE>
		</LAST_TOTAL>
		<LAST_REMAIN lang="A" encrypt="false" log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Vacation Remain Last Year [DD:HH:MM]</DESC_ENG>
			<DESC_THAI>จำนวนวันลาพักผ่อนคงเหลือปีที่แล้ว [วัน:ชม:นาที]</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<ALT_THAI>จำนวนวันลาพักผ่อนคงเหลือปีที่แล้ว [วัน:ชม:นาที]</ALT_THAI>
				<ALT_ENG>Vacation Remain Last Year [DD:HH:MM]</ALT_ENG>
			</COMPONENT>
			<DEFAULTVALUE>00:00:00</DEFAULTVALUE>
		</LAST_REMAIN>
		<PRIVILEGE_EMP lang="A" encrypt="false" log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Last Vacation [DD:HH:MM]</DESC_ENG>
			<DESC_THAI>สิทธิสะสมปีก่อน [วัน:ชม:นาที]</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<ALT_ENG>Last Vacation [DD:HH:MM]</ALT_ENG>
				<ALT_THAI>สิทธิสะสมปีก่อน [วัน:ชม:นาที]</ALT_THAI>
			</COMPONENT>
			<DEFAULTVALUE>00:00:00</DEFAULTVALUE>
		</PRIVILEGE_EMP>
		<PRIVILEGE_COM lang="A" encrypt="false" log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Company Vacation [DD:HH:MM]</DESC_ENG>
			<DESC_THAI>สิทธิที่บริษัทให้ [วัน:ชม:นาที]</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<ALT_ENG>Company Vacation [DD:HH:MM]</ALT_ENG>
				<ALT_THAI>สิทธิที่บริษัทให้ [วัน:ชม:นาที]</ALT_THAI>				
			</COMPONENT>
			<DEFAULTVALUE>00:00:00</DEFAULTVALUE>
		</PRIVILEGE_COM>
		<VACATION0 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Vacation0 This Year [DD:HH:MM]</DESC_ENG>
			<DESC_THAI>จำนวนวันลาพักผ่อนยกมา [วัน:ชม:นาที]</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<ALT_THAI>จำนวนวันลาพักผ่อนยกมา [วัน:ชม:นาที]</ALT_THAI>
				<ALT_ENG>Vacation0 This Year [DD:HH:MM]</ALT_ENG>
			</COMPONENT>
			<DEFAULTVALUE>00:00:00</DEFAULTVALUE>
		</VACATION0>
		<VACATION1 lang="A" encrypt="false" log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Vacation1 This Year [DD:HH:MM]</DESC_ENG>
			<DESC_THAI>จำนวนวันลาพักผ่อน [วัน:ชม:นาที]</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<ALT_THAI>จำนวนวันลาพักผ่อน [วัน:ชม:นาที]</ALT_THAI>
				<ALT_ENG>Vacation1 This Year [DD:HH:MM]</ALT_ENG>
			</COMPONENT>
			<DEFAULTVALUE>00:00:00</DEFAULTVALUE>
		</VACATION1>
		<VACATION_TOTAL lang="A" encrypt="false" log="false" type="String">
			<WIDTH>8</WIDTH>
			<DESC_ENG>Vacation This Year [DD:HH:MM]</DESC_ENG>
			<DESC_THAI>จำนวนวันลาพักผ่อน [วัน:ชม:นาที]</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>8</SIZE>
				<ALT_THAI>จำนวนวันลาพักผ่อน [วัน:ชม:นาที]</ALT_THAI>
				<ALT_ENG>Vacation This Year [DD:HH:MM]</ALT_ENG>
			</COMPONENT>
			<DEFAULTVALUE>00:00:00</DEFAULTVALUE>
		</VACATION_TOTAL>

		<BU1 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU1</RELATION>
			<DESC_ENG>Business Unit 1</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 1</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 1</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 1</ALT_THAI>
			</COMPONENT>
		</BU1>
		<BU2 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU2</RELATION>
			<DESC_ENG>Business Unit 2</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 2</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 2</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 2</ALT_THAI>
			</COMPONENT>
		</BU2>
		<BU3 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU3</RELATION>
			<DESC_ENG>Business Unit 3</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 3</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 3</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 3</ALT_THAI>
			</COMPONENT>
		</BU3>
		<BU4 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU4</RELATION>
			<DESC_ENG>Business Unit 4</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 4</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 4</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 4</ALT_THAI>
			</COMPONENT>
		</BU4>
		<BU5 lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MBU5</RELATION>
			<DESC_ENG>Business Unit 5</DESC_ENG>
			<DESC_THAI>หน่วยงานระดับที่ 5</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Business Unit 5</ALT_ENG>
				<ALT_THAI>หน่วยงานระดับที่ 5</ALT_THAI>
			</COMPONENT>
		</BU5>
		<EMP_POSITION lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MPOSITION</RELATION>
			<DESC_ENG>Position</DESC_ENG>
			<DESC_THAI>ตำแหน่ง</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Position</ALT_ENG>
				<ALT_THAI>ตำแหน่ง</ALT_THAI>
			</COMPONENT>
		</EMP_POSITION>
		<EMP_GROUP lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MGROUP</RELATION>
			<DESC_ENG>Employee Group</DESC_ENG>
			<DESC_THAI>กลุ่มพนักงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Employee Group</ALT_ENG>
				<ALT_THAI>กลุ่มพนักงาน</ALT_THAI>
			</COMPONENT>
		</EMP_GROUP>
		<BRANCH lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MBRANCH</RELATION>
			<DESC_ENG>Company Branch</DESC_ENG>
			<DESC_THAI>สาขา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Company Branch</ALT_ENG>
				<ALT_THAI>สาขา</ALT_THAI>
			</COMPONENT>
		</BRANCH>
		<BOSSID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>Boss ID</DESC_ENG>
			<DESC_THAI>รหัสหัวหน้า</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>15</MAXSIZE>
				<SIZE>15</SIZE>
				<ALT_ENG>Boss ID</ALT_ENG>
				<ALT_THAI>รหัสหัวหน้า</ALT_THAI>
			</COMPONENT>
		</BOSSID>
		<SALATYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MSALATYPE0</RELATION>
			<DESC_ENG>Salary Type</DESC_ENG>
			<DESC_THAI>ระยะเวลาการจ่ายเงินเดือน</DESC_THAI>
			<COMPONENT type="Text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_ENG>Salary Type</ALT_ENG>
				<ALT_THAI>ระยะเวลาการจ่ายเงินเดือน</ALT_THAI>
			</COMPONENT>
		</SALATYPE>
		<WORKAREA lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Workinq Area</DESC_ENG>
			<DESC_THAI>สถานที่ทำงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Workinq Area</ALT_ENG>
				<ALT_THAI>สถานที่ทำงาน</ALT_THAI>
			</COMPONENT>
		</WORKAREA>
		<EVENTGRP lang="A" encrypt="false" log="false" type="String">
			<KEY>4</KEY>
			<WIDTH>3</WIDTH>
			<DESC_ENG>Code</DESC_ENG>
			<DESC_THAI>รหัสประเภทวัน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>3</MAXSIZE>
				<SIZE>3</SIZE>
				<ALT_THAI>รหัส</ALT_THAI>
				<ALT_ENG>Code</ALT_ENG>
			</COMPONENT>
			<REQUIRE>true</REQUIRE>
		</EVENTGRP>
	</FIELD>
	<RELATION>
	</RELATION>
</MEMPL_VACATION>
